# Asterisk Project : Asterisk 13 Application_SpeechBackground

Created by wikibot on Aug 08, 2014

# SpeechBackground()

### Synopsis

Play a sound file and wait for speech to be recognized.

### Description

This application plays a sound file and waits for the person to speak. Once they start speaking playback of the file stops, and silence is heard. Once they stop talking the processing sound is played to indicate the speech recognition engine is working. Once results are available the application returns and results (score and text) are available using dialplan functions.

The first text and score are ${SPEECH_TEXT(0)} AND ${SPEECH_SCORE(0)} while the second are ${SPEECH_TEXT(1)} and ${SPEECH_SCORE(1)}.

The first argument is the sound file and the second is the timeout integer in seconds.

Hangs up the channel on failure. If this is not desired, use TryExec.

### Syntax

    SpeechBackground(sound_file,[timeout,[options]])

##### Arguments

- `sound_file`
- `timeout` - Timeout integer in seconds. Note the timeout will only start once the sound file has stopped playing.
- `options`
  - `n` - Don't answer the channel if it has not already been answered.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538